- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

ERR_remove_thread_state, ERR_remove_state - DEPRECATED

# SYNOPSIS

The following function has been deprecated since OpenSSL 1.0.0, and can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

     void ERR_remove_state(unsigned long tid);

The following function has been deprecated since OpenSSL 1.1.0, and can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

     void ERR_remove_thread_state(void *tid);

# DESCRIPTION

`ERR_remove_state()` frees the error queue associated with the specified thread, identified by tid. `ERR_remove_thread_state()` does the same thing, except the identifier is an opaque pointer.

# RETURN VALUES

`ERR_remove_state()` and `ERR_remove_thread_state()` return no value.

# SEE ALSO

LOPENSSL_init_crypto(3)

# HISTORY

`ERR_remove_state()` was deprecated in OpenSSL 1.0.0 and `ERR_remove_thread_state()` was deprecated in OpenSSL 1.1.0; these functions and should not be used.

# COPYRIGHT

Copyright 2000-2021 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.